Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236428 - RFE: Please bind mount host /dev to chroot/dev
Summary: RFE: Please bind mount host /dev to chroot/dev
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 20:41 UTC by Jesse Keating
Modified: 2013-01-10 04:15 UTC (History)
1 user (show)

Fixed In Version: 0.7.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 20:04:30 UTC


Attachments (Terms of Use)

Description Jesse Keating 2007-04-13 20:41:06 UTC
Often times uses of the mock chroot need more device entries than mock creates
for us.  Since the devices are going to be the same as the host anyway, we
should just bind mount them in.  Particularly helpful when I need loopback
devices for composing trees...

Comment 1 Fedora Update System 2007-06-14 21:12:27 UTC
mock-0.7.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Jesse Keating 2007-06-16 12:09:04 UTC
This seems to be functioning swimmingly.  Thank you very much!

Comment 3 Fedora Update System 2007-06-21 20:04:03 UTC
mock-0.7.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.